require 'minitest/autorun'
require 'github-pr/poster'
require 'github-pr/token'

module GitHubPr

  describe Poster do

    describe "Url parsing" do
      it "must return correct path" do
        poster = Poster.new("token")
        repo_url = "https://github.com/user/reponame"
        repo = poster.cut_scheme_and_host(repo_url)
        repo.must_equal "user/reponame"
      end
    end

    # describe "Pull requesting" do
    #   it "must create git pull request" do
    #     options = {:assign=>"hovox", :base=>"master", :feature=>"some-other-branch-bbb", :title=>"some-other-branch-bbb", :token=>nil}
    #     Poster.stub(:repo_url, "https://github.com/PicsArt/picsart-ios") do
    #       poster = Poster.new(Token.create(token_file_path:File.expand_path('~/.config/gh-pr-token'), direct_token: options[:token]))
    #       puts 'repourl:' + Poster.repo_url
		# 	    poster.post(options)
    #     end
        
    #   end
    # end 

  end

end